Summary:   Rio 500 Management tool for GNOME.
Name:      walk500
Version:   1.0
Release:   1mdk
License:   GPL
Group:     Sound
Source:    walk500-%{version}.tar.bz2
URL:       http://hadess.net/walk500.php
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	libglade-devel
BuildRequires:	rio500-devel
Obsoletes: grio500
Provides:  grio500

%description
A Rio 500 interface for the GNOME Desktop Environment.
It is statically linked against librio500.



%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS -I/usr/include/rio500" %configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="x11" \
section="Multimedia/Sound" \
title="Walk500" \
longtitle="An interface for Rio 500" \
icon="sound_section.png"
EOF

# dynamic desktop support
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dynamic/launchers/rio500
cat > $RPM_BUILD_ROOT%{_sysconfdir}/dynamic/launchers/rio500/%name.desktop << EOF
[Desktop Entry]
Name=Walk500
Comment=Rio500 interface
TryExec=/usr/bin/walk500
Exec=/usr/bin/walk500
Terminal=false
Icon=sound_section.png
Type=Application
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS TODO
%config(noreplace) %{_sysconfdir}/dynamic/launchers/rio500
%{_bindir}/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/walk500
%{_menudir}/*

%changelog
* Thu Apr  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0-1mdk
- Release 1.0

* Sun Jul 28 2002 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- First Mandrake package (replace grio500)
